#include<iostream>
using namespace std;
int main()
{
    int a;
    cin>>a;
    bool y=0;
    long long b[a],m;
    for(int i=0; i<a; i++)
    {
        cin>>b[i];
    }
    for(int t=0; t<a-1; t++)
    {
        for(int i=t+1; i<a; i++)
        {
            if(b[i]>=b[t])
            {
                if(y==0){
                    m=b[t]-(i-t+1);
                    i=a;
                    y=1;
                }
                if(b[t]-(i-t+1)>m)
                {
                    m=b[t]-(i-t+1);
                    i=a;
                }
            }

        }
    }
    cout<<m;
    return 0;
}


